<template>
    <header class="header">
        <div class="header-wrap">
            <template v-for="(item, index) in pages">
                <router-link
                    :key="index"
                    :to="item.path"
                    class="header-item"
                >
                    {{ item.name }}
                </router-link>
            </template>
        </div>
    </header>
</template>
<script>
import _ from 'lodash'
import routes from '../router/routes'

export default {
    data() {
        return {
            routes,
            pageList: ['Home', 'About', 'Works'],
        }
    },
    computed: {
        pages() {
            const list = []
            const self = this
            _.forEach(self.pageList, (page) => {
                list.push(_.find(self.routes, (route) => route.name === page))
            })
            return list
        },
    },
}
</script>
<style lang="scss" scoped>
    .header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        height: 80px;
        z-index: map-get($z-index, header);
        @include rwd('desktop', 'below') {
            height: 60px;
        }
        &-wrap {
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            @include container();
        }
        &-item {
            color: black;
            text-decoration: none;
            padding: 10px 12px;
            position: relative;
            &::before {
                content: '';
                position: absolute;
                bottom: 0;
                left: 0;
                width: 100%;
                height: 3px;
                background-color: #000000;
                transform: translateY(200%) scaleY(0);
                transition: transform 0.3s ease;
            }
            &.router-link-exact-active {
                pointer-events: none;
                opacity: 0.3;
                &::before {
                    transform: translateY(0%) scaleY(1);
                }
            }
            &:hover {
                &::before {
                    transform: translateY(0%) scaleY(1);
                }
            }
        }
    }
</style>
